# $Id: openib.spec 6922 2006-05-04 12:49:48Z vlad $

Summary: OpenIB Infiniband Driver Stack
Name: openib
Version: 1.3
Release: 5%{?dist}
License: GPL/BSD
Url: http://www.openfabrics.org/
Group: System Environment/Base
Source2: openib-1.0-openib.conf
Source3: openib-1.0-openibd.init
Source4: openib-fixup-mtrr.awk
Source8: openib-90-ib.rules
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: i386 x86_64 ia64 ppc ppc64
Obsoletes: kernel-ib <= 1.0-1
Requires(post): chkconfig
Requires(preun): chkconfig
%description 
User space initialization scripts for the kernel InfiniBand drivers

%prep

%build

%install
rm -rf ${RPM_BUILD_ROOT}
install -d ${RPM_BUILD_ROOT}%{_initrddir}
install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/ofed
install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/udev/rules.d
	
# Copy infiniband configuration
install -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/ofed/openib.conf
# Install service script
install -m 0755 %{SOURCE3} ${RPM_BUILD_ROOT}%{_initrddir}/openibd
# Get the mtrr fixup script
install -m 0644 %{SOURCE4} ${RPM_BUILD_ROOT}%{_sysconfdir}/ofed/fixup-mtrr.awk
# and the udev rules
install -m 0644 %{SOURCE8} ${RPM_BUILD_ROOT}/etc/udev/rules.d/90-ib.rules

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -n openib
if [ $1 = 1 ]; then
    /sbin/chkconfig --add openibd 
fi

%preun -n openib
if [ $1 = 0 ]; then
    /sbin/chkconfig --del openibd 
fi

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/ofed
%config(noreplace) %{_sysconfdir}/ofed/openib.conf
%{_sysconfdir}/ofed/fixup-mtrr.awk
%{_initrddir}/openibd
/etc/udev/rules.d/90-ib.rules

%changelog
* Fri May 23 2008 Doug Ledford <dledford@redhat.com> - 1.3-5
- Remove openib-* packages as they didn't solve the problem for the specific
  case of upgrades via RHN
- Resolves: bz447707

* Wed May 21 2008 Doug Ledford <dledford@redhat.com> - 1.3-4
- Add openib-{perftest,mstflint,tvflash} packages that require the base
  package name in order to correct an upgrade issue
- Fix some bashisms that slipped into the init script but will only work
  work a bash from rhel5
- Resolves: bz447707, bz446905

* Thu Apr 10 2008 Doug Ledford <dledford@redhat.com> - 1.3-3
- Add a Requires(preun) for chkconfig
- Port the changes made in the rhel5 openib package to the rhel4 package
- Related: bz441825

* Mon Mar 31 2008 Doug Ledford <dledford@redhat.com> - 1.3-2
- Update the openibd init script to work with all hardware
- Add fixup-mtrr.awk script to solve problems with ipath performance when
  memory type range registers don't allow creation of write-combining
  regions due to lazy BIOS programmers

* Tue Jan 29 2008 Doug Ledford <dledford@redhat.com> - 1.3-1
- Gut the spec, gut the contents, leave only the base package to hold the
  initscripts and configs.  Everything else has been moved into individual
  packages.

* Tue Oct 16 2007 Doug Ledford <dledford@redhat.com> - 1.2-7
- Fix up a couple problems in the openibd.init script
- Resolves: bz326341

* Fri Sep 21 2007 Doug Ledford <dledford@redhat.com> - 1.2-6
- Fix an issue in libibverbs that can result in memory corruption
- Resolves: bz299461

* Mon Aug 06 2007 Doug Ledford <dledford@redhat.com> - 1.2-5
- The openibd init script mistakenly referred to the amso1100 driver as
  iw_amso1100 instead of its true name iw_c2

* Mon Aug 06 2007 Doug Ledford <dledford@redhat.com> - 1.2-4
- Update init script to be LSB compliant
- Resolves: bz243127

* Fri Aug 03 2007 Doug Ledford <dledford@redhat.com> - 1.2-3
- Bump version and rebuild
- Update related bug list
- Related: bz234083, bz250540, bz250541

* Wed Aug 01 2007 Doug Ledford <dledford@redhat.com> - 1.2-2
- Import RHEL5 package to RHEL4

* Tue Jul 31 2007 Doug Ledford <dledford@redhat.com>
- Fix regression on rping printing out the help message multiple times

* Tue Jun 26 2007 Doug Ledford <dledford@redhat.com> 1.2-1
- Update to final OFED 1.2 release
- Fix init scripts to be standards compliant

* Mon Feb 05 2007 Doug Ledford <dledford@redhat.com> 1.1-5
- Fix an unterminated if statement in the ipoibha init script
- Disable the ipoibtools package since arping is not yet modified to
  support ipoib interfaces and so the package is guaranteed not to work

* Wed Jan 17 2007 Doug Ledford <dledford@redhat.com> 1.1-4
- Change all the scriptlets to be multiline so that they don't cause problems
  on ppc arch
- Related: #213848, #222227

* Thu Nov 02 2006 Doug Ledford <dledford@redhat.com> 1.1-3
- Make openib, opensm, and ipoibtools Require(post): chkconfig (182845,182846)
- Make ipoibha script have an interpreter tag
- Fix the ipoibha script so it uses arping instead of arpingib and
  passes a functional set of arguments
- Make ipoibha script require an IP broadcast address on the interface
  we are serving in ha mode
- Make rdma_ping print rdma_ping instead of rping in it's usage output
- Make rdma_ping only print the usage info once (213171)
- Update openibd init script to work whether ipath driver is in one module
  or two (212401)

* Sat Oct 21 2006 Doug Ledford <dledford@redhat.com> 1.1-2
- Remove a dead patch from the src rpm and rebuild
- Move the ipoibha tools to /usr/sbin instead of /sbin.  Since they
  require perl to run, and perl resides in /usr, it's safe for them
  to be there instead of /sbin

* Fri Oct 20 2006 Doug Ledford <dledford@redhat.com> 1.1-1
- Update to final 1.1 release

* Fri Oct 20 2006 Doug Ledford <dledford@redhat.com> 1.1-0.pre1.3
- The bug fix to make the udev rules file correct for udev 095 got lost,
  readd it.
- Updates from the old OFED 1.0 code didn't grab all the RPMs because I
  forgot to update the libmthca{,-devel} versions so that the reset
  release number wouldn't cause it to match as older instead of newer.

* Wed Oct 18 2006 Doug Ledford <dledford@redhat.com> 1.1-0.pre1.2
- Bump version numbers on all the packages to allow for updates
  from previous installations
- Remove arpingib, it's not needed
- Add ipoibha init script
- Rename ipoibha.pl ipoibha for ease of use in init script
- Drop hpage patch set from ./configure invocation

* Tue Oct 17 2006 Doug Ledford <dledford@redhat.com> 1.1-0.pre1.1
- Update to latest upstream version of openib and ofed-docs

* Thu Sep 28 2006 Doug Ledford <dledford@redhat.com> 1.0-10
- Add a logrotate file for /var/log/osm.log to opensm
- Fix a %post/%postun script problem with dapl

* Wed Sep 27 2006 Doug Ledford <dledford@redhat.com> 1.0-9
- Correct an error in the openibd init script
- Change the default openib.conf file settings

* Wed Sep 27 2006 Doug Ledford <dledford@redhat.com> 1.0-8
- Rename dat.conf to dat32.conf and dat64.conf so that multilib works properly
- Patch dat libs to look for the right conf file depending on arch of lib

* Tue Sep 26 2006 Doug Ledford <dledford@redhat.com> 1.0-7
- Use the action function in the openibd init script
- Properly load hardware modules if not loaded already on startup
- Make the output of the status command in the openibd init script more
  useful
- Correct load/unload order of modules in openibd init script
- Several other cleanups in the openibd init script

* Tue Sep 12 2006 Doug Ledford <dledford@redhat.com> 1.0-6
- Skip 1.0-5 to make RHEL5 and FC6 trees match more closely
- Update udev rules file for later udev version
- Fix the location of the default osm.log file
- Remove two modules from the openibd startup script that aren't shipped
  with the RHEL5 kernel

* Fri Aug 04 2006 Doug Ledford <dledford@redhat.com> 1.0-4
- Quit special casing ppc64 and just build everything there too

* Mon Jul 31 2006 Doug Ledford <dledford@redhat.com> 1.0-3
- Gut and rewrite large portions of spec file to make FHS compliant
- Use default rpmmacros to control file locations
- Use spec file to control software build, not an external script
- Make the spec file build what you want by default, not when passed options
- Make spec file multilib compliant
- Don't build kernel modules here, the kernel has what it needs
- Rename packages slightly (no more kernel-ib, this is replaced by openib,
  make a few of the other packages have openib- prepended before their
  name in order to make the connection more noticeable)
- Update to work with libsysfs >= 2.0.0
- Many more changes that I forgot
* Wed Apr  27 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Removed libibat
* Wed Apr  5 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Added dapl and dapl-devel packages
* Sun Apr  2 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Changed ibdiag to ibutils. Added ibis, ibdm and ibmgtsim packages
* Thu Mar 23 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Added libibcommon-devel, libibmad-devel and libibumad-devel packages
* Tue Mar 14 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Added ibdiag tools
* Mon Mar 13 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Changed osm to opensm, added opensm-devel package
* Wed Mar  8 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Added header files: include/infiniband/...
* Sun Mar  5 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Repackaging: openib like RPMs
* Mon Jan  2 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Added libsdp 32 bit libraries for x86_64 platform
* Mon Nov 14 2005 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Initial packaging for openib gen2 stack
